package ship;

public class PrimaryHeavyLaserCannon extends WeaponRequiringReactorBase {

	public PrimaryHeavyLaserCannon(ReactorBase reactor, boolean damaged) {
		super(reactor, "White: Heavy Laser Cannon", damaged);
		name = "white heavy laser cannon";
	}

	@Override
	public int getDamage() {
		if (damaged) {
			if (firesHeroic) {
				return 5;
			} else {
				return 4;
			}
		} else {
			if (firesHeroic) {
				return 6;
			} else {
				return 5;
			}
		}
	}

}
