package ship;

public class PulseCannon extends WeaponRequiringReactorBase {

	public PulseCannon(ReactorBase reactor, boolean damaged) {
		super(reactor, "White: Pulse Cannon", damaged);
		
		name = "pulse cannon";
	}

	@Override
	public int getDamage() {
		if (firesHeroic) {
			return 2;
		} else {
			return 1;
		}
	}
	
	@Override
	public WeaponRanges getRange() {
		if (damaged) {
			return WeaponRanges.Range1;
		} else {
			return WeaponRanges.Range2;
		}
	}

}
