package ship;

public class SecondaryHeavyLaserCannon extends WeaponRequiringReactorBase {
	public SecondaryHeavyLaserCannon(ReactorBase reactor, String location, boolean damaged) {
		super(reactor, location, damaged);
		
		if (location == "Red: Heavy Laser Cannon") {
			name = "red heavy laser cannon";
		} else {
			name = "blue heavy laser cannon";
		}
	}

	@Override
	public int getDamage() {
		if (damaged) {
			if (firesHeroic) {
				return 4;
			} else {
				return 3;
			}
		} else {
			if (firesHeroic) {
				return 5;
			} else {
				return 4;
			}
		}
	}

}
