package ship;

public enum WeaponRanges {
	Range1,
	Range2,
	Range3;
	
	public int getMaximumDistance() {
		switch (this) {
		case Range1:
			return 5;
		case Range2:
			return 10;
		case Range3:
		default:
			return 16;		
		}
	}
	public int getMinimumDistance() {
		switch (this) {
		case Range1:
			return 1;
		case Range2:
			return 6;
		case Range3:
		default:
			return 11;		
		}
	}
}
