package whiteThreats;

import VASSAL.counters.GamePiece;
import ship.Ship;
import spaceAlert.Log;
import threats.ExternalThreatBase;
import threats.ThreatZones;
import trajectoryBoards.TrajectoryBoardBase;

public class E1_01 extends ExternalThreatBase {
	//Pulswellenball
	public E1_01(Ship ship, GamePiece piece, TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		scoreSurvived = 2;
		scoreDestroyed= 4;
		
		setSpeed(2);
		setHealth(5);
		setShield(1);
	}

	@Override
	protected void doXAction() {
		Log.log(getName() + " attacks 1 on each zone.");
		ship.shieldedDamage(ThreatZones.BLUE, 1);
		ship.shieldedDamage(ThreatZones.WHITE, 1);
		ship.shieldedDamage(ThreatZones.RED, 1);
	}

	@Override
	protected void doYAction() {
		doXAction();
	}

	@Override
	protected void doZAction() {
		Log.log(getName() + " attacks 2 on each zone.");
		ship.shieldedDamage(ThreatZones.BLUE, 2);
		ship.shieldedDamage(ThreatZones.WHITE, 2);
		ship.shieldedDamage(ThreatZones.RED, 2);
	}

}
