package whiteThreats;

import VASSAL.counters.GamePiece;
import ship.Ship;
import spaceAlert.Log;
import threats.ExternalThreatBase;
import trajectoryBoards.TrajectoryBoardBase;

public class E1_03 extends ExternalThreatBase {
	//Getarnter Jäger
	public E1_03(Ship ship, GamePiece piece, TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		scoreSurvived = 2;
		scoreDestroyed= 4;
		
		setSpeed(3);
		setHealth(4);
		setShield(2);
		targetable = false;
	}

	@Override
	protected void doXAction() {
		Log.log(getName() + " reveals itself."); 
		targetable = true;
	}

	@Override
	protected void doYAction() {
		Log.log(getName() + " attacks 2.");
		ship.shieldedDamage(getZone(), 2);
	}

	@Override
	protected void doZAction() {
		doYAction();
	}

}
