package whiteThreats;

import VASSAL.counters.GamePiece;
import ship.Ship;
import spaceAlert.Log;
import threats.ExternalThreatBase;
import trajectoryBoards.TrajectoryBoardBase;

public class E1_08 extends ExternalThreatBase {
	//Panzergreifer
	public E1_08(Ship ship, GamePiece piece,
			TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		scoreSurvived = 2;
		scoreDestroyed= 4;
		
		setSpeed(2);
		setHealth(4);
		setShield(3);
	}

	@Override
	protected void doXAction() {
		Log.log(getName() + " attacks 1.");
		ship.shieldedDamage(getZone(), 1);
	}

	@Override
	protected void doYAction() {
		Log.log(getName() + " heals 1 damage.");
		increaseHealth(1, 4);
	}

	@Override
	protected void doZAction() {
		Log.log(getName() + " attacks 4.");
		ship.shieldedDamage(getZone(), 4);
	}

}
