package whiteThreats;

import VASSAL.counters.GamePiece;
import ship.Ship;
import spaceAlert.Log;
import threats.ExternalThreatBase;
import trajectoryBoards.TrajectoryBoardBase;

public class E1_09 extends ExternalThreatBase {
	//Amöbe
	public E1_09(Ship ship, GamePiece piece,
			TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		scoreSurvived = 2;
		scoreDestroyed= 4;
		
		setSpeed(2);
		setHealth(8);
		setShield(0);
		targetableByRockets = false;
	}

	@Override
	protected void doXAction() {
		Log.log(getName() + " heals 2 damage.");
		increaseHealth(2, 8);
	}

	@Override
	protected void doYAction() {
		doXAction();
	}

	@Override
	protected void doZAction() {
		Log.log(getName() + " attacks 5.");
		ship.shieldedDamage(getZone(), 5);
	}

}
