package whiteThreats;

import VASSAL.counters.GamePiece;
import ship.Ship;
import spaceAlert.Log;
import threats.ExternalThreatBase;
import threats.ThreatDamageSpecial;
import trajectoryBoards.TrajectoryBoardBase;

public class E1_101 extends ExternalThreatBase {
	//Plasmajäger
	public E1_101(Ship ship, GamePiece piece,
			TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		scoreSurvived = 2;
		scoreDestroyed= 4;
		
		setSpeed(3);
		setHealth(4);
		setShield(2);
	}

	@Override
	protected void doXAction() {
		Log.log(getName() + " attacks 1.");
		ship.shieldedDamage(getZone(), 1, ThreatDamageSpecial.PLASMA);
	}

	@Override
	protected void doYAction() {
		doXAction();
	}

	@Override
	protected void doZAction() {
		Log.log(getName() + " attacks 2.");
		ship.shieldedDamage(getZone(), 2, ThreatDamageSpecial.PLASMA);
	}

}
