package whiteThreats;

import VASSAL.counters.GamePiece;
import ship.Ship;
import spaceAlert.Log;
import threats.ExternalThreatBase;
import trajectoryBoards.TrajectoryBoardBase;

public class SE1_02 extends ExternalThreatBase {
	//Kampfkreuzer
	public SE1_02(Ship ship, GamePiece piece,
			TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		scoreSurvived = 4;
		scoreDestroyed= 8;
		
		setSpeed(1);
		setHealth(9);
		setShield(2);
	}

	@Override
	protected void doXAction() {
		Log.log(getName() + " attacks 1.");
		ship.shieldedDamage(getZone(), 2);
		Log.log(getName() + " increases its speed.");
		setSpeed(getSpeed() + 1);
	}

	@Override
	protected void doYAction() {
		Log.log(getName() + " attacks 3.");
		ship.shieldedDamage(getZone(), 3);
		Log.log(getName() + " increases its shield.");
		setShield(getShield() + 1);
	}

	@Override
	protected void doZAction() {
		Log.log(getName() + " attacks 5.");
		ship.shieldedDamage(getZone(), 5);
	}

}
