package whiteThreats;

import ship.Ship;
import spaceAlert.Log;
import threats.ThreatZones;
import trajectoryBoards.TrajectoryBoardBase;
import VASSAL.counters.GamePiece;

public class SE1_07 extends E1_04 {
	//Mahlstrom
	public SE1_07(Ship ship, GamePiece piece,
			TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		scoreSurvived = 4;
		scoreDestroyed= 8;
		
		setSpeed(2);
		setHealth(8);
		setShield(3);
	}
	
	@Override
	protected void doYAction() {
		Log.log(getName() + " attacks 2 on all other two zones.");
		if (getZone() != ThreatZones.RED) {
			ship.shieldedDamage(ThreatZones.RED, 2);
		}
		if (getZone() != ThreatZones.WHITE) {
			ship.shieldedDamage(ThreatZones.WHITE, 2);
		}
		if (getZone() != ThreatZones.BLUE) {
			ship.shieldedDamage(ThreatZones.BLUE, 2);
		}
	}

	@Override
	protected void doZAction() {
		Log.log(getName() + " attacks 3 on all other two zones.");
		if (getZone() != ThreatZones.RED) {
			ship.shieldedDamage(ThreatZones.RED, 3);
		}
		if (getZone() != ThreatZones.WHITE) {
			ship.shieldedDamage(ThreatZones.WHITE, 3);
		}
		if (getZone() != ThreatZones.BLUE) {
			ship.shieldedDamage(ThreatZones.BLUE, 3);
		}
	}
}
