package yellowThreats;

import VASSAL.counters.GamePiece;
import ship.Ship;
import spaceAlert.Log;
import threats.ExternalThreatBase;
import trajectoryBoards.TrajectoryBoardBase;

public class E2_01 extends ExternalThreatBase {
	//Kamikaze
	public E2_01(Ship ship, GamePiece piece, TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		scoreSurvived = 3;
		scoreDestroyed= 6;
		
		setSpeed(4);
		setHealth(5);
		setShield(2);
	}

	@Override
	protected void doXAction() {
		Log.log(getName() + " increases its speed.");
		increaseSpeed(1);
		Log.log(getName() + " reduces its shield.");
		decreaseShield(1);
	}

	@Override
	protected void doYAction() {
		doXAction();
	}

	@Override
	protected void doZAction() {
		Log.log(getName() + " attacks 6.");
		ship.shieldedDamage(getZone(), 6);
	}

}
