package yellowThreats;

import ship.Ship;
import spaceAlert.Log;
import trajectoryBoards.TrajectoryBoardBase;
import VASSAL.counters.GamePiece;
import whiteThreats.SE1_08;

public class E2_07 extends SE1_08 {
	//Mini-Asteroid
	public E2_07(Ship ship, GamePiece piece, TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);
		
		scoreSurvived = 3;
		scoreDestroyed= 6;
		
		setSpeed(4);
		setHealth(7);
		setShield(0);
	}
	
	@Override
	protected void attackAfterDestroyed() {
		if (destructionMultiplier > 0) {
			Log.log(getName() + " attacks " + (1 * destructionMultiplier) + ".");
			ship.shieldedDamage(getZone(), 1 * destructionMultiplier);
		}
	}
}
