package yellowThreats;

import ship.Ship;
import ship.ShipZones;
import trajectoryBoards.TrajectoryBoardBase;
import VASSAL.counters.GamePiece;

public class I2_01_02_Progeny extends I2_01 {
	I2_01 parent;
	//Schleim-Abkömmlinge
	public I2_01_02_Progeny(Ship ship, GamePiece piece,
			TrajectoryBoardBase trajectoryBoard, I2_01 parent, ShipZones location) {
		super(ship, piece, trajectoryBoard);
		
		this.parent = parent;
		
		scoreSurvived = 0;
		scoreDestroyed= 0;
		
		setSpeed(2);
		setHealth(1);
		fightsBack = false;
		tokenName = "Token I2_01|02";
		this.location = location;

		appear();
	}
	
	@Override
	protected void destroy() {
		deleteToken();
		
		parent.destroy();
	}

	@Override
	public void move() {}

	@Override
	public void move(int speed) {}
	
	@Override
	public String getName() {
		return parent.getName();
	}
	
	@Override
	protected void createETAmarker() {}
}
