package yellowThreats;

import VASSAL.counters.GamePiece;
import ship.Movement;
import ship.Ship;
import ship.ShipZones;
import spaceAlert.CardAction;
import spaceAlert.Log;
import threats.InternalMovingThreatBase;
import trajectoryBoards.TrajectoryBoardBase;

public class I2_03 extends InternalMovingThreatBase {
	//Fusstruppen
	public I2_03(Ship ship, GamePiece piece, TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);
		
		scoreSurvived = 3;
		scoreDestroyed= 6;
		
		setSpeed(2);
		setHealth(2);
		fightsBack = true;
		tokenName = "Token I2_03|04";
		location = ShipZones.RED_UPPER;
	}

	@Override
	protected void doXAction() {
		Movement.moveTo(this, CardAction.SWITCH_DECK);
	}

	@Override
	protected void doYAction() {
		Movement.moveTo(this, CardAction.MOVE_TO_BLUE);
	}

	@Override
	protected void doZAction() {
		Log.log(getName() + " attacks 4.");
		ship.damage(getZone(), 4);
	}

}
