package yellowThreats;

import VASSAL.counters.GamePiece;
import ship.Ship;
import spaceAlert.Log;
import threats.ExternalThreatBase;
import threats.ThreatZones;
import trajectoryBoards.TrajectoryBoardBase;

public class SE2_04 extends ExternalThreatBase {
	//Nebelkrabbe
	public SE2_04(Ship ship, GamePiece piece,
			TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		scoreSurvived = 6;
		scoreDestroyed= 12;
		
		setSpeed(2);
		setHealth(7);
		setShield(2);
		
		targetableByRockets = false;
	}

	@Override
	protected void doXAction() {
		Log.log(getName() + " increases its shield.");
		increaseShield(2);
	}

	@Override
	protected void doYAction() {
		Log.log(getName() + " increases its speed.");
		increaseSpeed(2);
		Log.log(getName() + " decreases its shield.");
		decreaseShield(2);
	}

	@Override
	protected void doZAction() {
		Log.log(getName() + " attacks 5 on " + ThreatZones.RED.getName() +" and " + ThreatZones.BLUE.getName() + ".");
		ship.shieldedDamage(ThreatZones.RED, 5);
		ship.shieldedDamage(ThreatZones.BLUE, 5);
	}

}
