package yellowThreats;

import ship.Ship;
import spaceAlert.Log;
import trajectoryBoards.TrajectoryBoardBase;
import VASSAL.counters.GamePiece;

public class SE2_06 extends E2_07 {
	//Killer-Asteroid
	public SE2_06(Ship ship, GamePiece piece,
			TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);
		
		scoreSurvived = 3;
		scoreDestroyed= 6;
		
		setSpeed(2);
		setHealth(11);
		setShield(0);
	}
	
	@Override
	protected void attackAfterDestroyed() {
		if (destructionMultiplier > 0) {
			Log.log(getName() + " attacks " + (3 * destructionMultiplier) + ".");
			ship.shieldedDamage(getZone(), 3 * destructionMultiplier);
		}
	}
}
