package yellowThreats;

import VASSAL.counters.GamePiece;
import ship.Ship;
import spaceAlert.Log;
import threats.ExternalThreatBase;
import threats.ThreatDamageSpecial;
import trajectoryBoards.TrajectoryBoardBase;

public class SE2_101 extends ExternalThreatBase {
	//Plasmafregatte
	public SE2_101(Ship ship, GamePiece piece,
			TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		scoreSurvived = 6;
		scoreDestroyed= 12;
		
		setSpeed(2);
		setHealth(7);
		setShield(2);
	}

	@Override
	protected void doXAction() {
		Log.log(getName() + " attacks 2.");
		ship.shieldedDamage(getZone(), 2, ThreatDamageSpecial.PLASMA);
	}

	@Override
	protected void doYAction() {
		doXAction();
	}

	@Override
	protected void doZAction() {
		Log.log(getName() + " attacks 4.");
		ship.shieldedDamage(getZone(), 4, ThreatDamageSpecial.PLASMA);
	}

}
