package ship;

import spaceAlert.ResetableBase;

public class LightLaserCannon extends WeaponWithEnergyPack {

	public LightLaserCannon(ResetableBase parent, String location, boolean damaged) {
		super(parent, location, damaged);
		
		String energyPackRegion = "Blue: Energy Pack";
		name = "blue light laser cannon";
		if ("Red: Light Laser Cannon".equals(location)) {
			energyPackRegion = "Red: Energy Pack";
			name = "red light laser cannon";
		}
		createEnergyPack(energyPackRegion);
	}

	@Override
	public int getDamage() {
		if (damaged) {
			if (firesHeroic) {
				return 2;
			} else {
				return 1;
			}
		} else {
			if (firesHeroic) {
				return 3;
			} else {
				return 2;
			}
		}
	}

}
