package ship;

import VASSAL.build.module.map.boardPicker.board.Region;
import spaceAlert.ResetableBase;

public abstract class WeaponDamageableBase extends WeaponBase implements Damageable {
	protected Region location;
	protected String name;
	public String getName() {
		return name;
	}
	
	protected boolean damaged = false;
	public boolean isDamaged() {
		return damaged;
	}
	public void damage() {
		damaged = true;
	}
		
	public WeaponDamageableBase(ResetableBase parent, String location, boolean damaged) {
		super(parent);
		
		this.location = map.findRegion(location);
		name = location;
		this.damaged = damaged;
	}
}
