package spaceAlert;

import VASSAL.build.GameModule;
import VASSAL.build.module.Chatter;

public class Log {
	private static Chatter chatter;
	
	public static void debug(String message) {
		log("** " + message);
	}
	
	public static void error(String message) {
		log("<Critical error: " + message + ">");
	}
	public static void log(String message) {
		if (message.length() > 0) {
			if (chatter == null) {
				chatter = GameModule.getGameModule().getChatter();
			}
			
			chatter.show(message.substring(0, 1).toUpperCase() + message.substring(1));
		}
	}

}
