package whiteThreats;

import VASSAL.counters.GamePiece;
import ship.Ship;
import spaceAlert.Log;
import threats.ExternalThreatBase;
import threats.ThreatDamageSpecial;
import trajectoryBoards.TrajectoryBoardBase;

public class E1_02 extends ExternalThreatBase {
	//Zerstörer
	public E1_02(Ship ship, GamePiece piece, TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		scoreSurvived = 2;
		scoreDestroyed= 4;
		
		setSpeed(2);
		setHealth(5);
		setShield(2);
	}

	@Override
	protected void doXAction() {
		Log.log(getName() + " attacks 1.");
		ship.shieldedDamage(getZone(), 1, ThreatDamageSpecial.DOUBLED_DAMAGE);		
	}

	@Override
	protected void doYAction() {
		Log.log(getName() + " attacks 2.");
		ship.shieldedDamage(getZone(), 2, ThreatDamageSpecial.DOUBLED_DAMAGE);
	}

	@Override
	protected void doZAction() {
		doYAction();		
	}

}
