package whiteThreats;

import VASSAL.counters.GamePiece;
import ship.Ship;
import spaceAlert.Log;
import threats.ExternalThreatBase;
import trajectoryBoards.TrajectoryBoardBase;

public class E1_10 extends ExternalThreatBase {
	//Meteroid
	public E1_10(Ship ship, GamePiece piece,
			TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		scoreSurvived = 2;
		scoreDestroyed= 4;
				
		setSpeed(5);
		setHealth(5);
		setShield(0);
		targetableByRockets = false;
	}

	@Override
	protected void doXAction() {
	}

	@Override
	protected void doYAction() {
	}

	@Override
	protected void doZAction() {
		Log.log(getName() + " attacks " + getHealth() + ".");
		ship.shieldedDamage(getZone(), getHealth());
	}

}
