package whiteThreats;

import VASSAL.counters.GamePiece;
import ship.Ship;
import ship.ShipZones;
import spaceAlert.Log;
import threats.InternalAttachedThreatBase;
import trajectoryBoards.TrajectoryBoardBase;

public class I1_07 extends InternalAttachedThreatBase {
	//Instabile Sprengköpfe
	public I1_07(Ship ship, GamePiece piece,
			TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);
		
		scoreSurvived = 2;
		scoreDestroyed= 4;
		
		setSpeed(3);
		setHealth(ship.getRocketThrower().getRocketCount());
		
		action = "C";
		location = ShipZones.BLUE_LOWER;
		attachedTo = ship.getRocketThrower();
	}

	@Override
	protected void doXAction() {
	}

	@Override
	protected void doYAction() {
	}

	@Override
	protected void doZAction() {
		Log.log(getName() + " deals " + getHealth() + " damage.");
		ship.damage(location.getThreatZone(), getHealth());
		ship.getRocketThrower().clear();
	}

}
