package whiteThreats;

import VASSAL.counters.GamePiece;
import ship.Ship;
import spaceAlert.Log;
import threats.ExternalThreatBase;
import trajectoryBoards.TrajectoryBoardBase;

public class SE1_01 extends ExternalThreatBase {
	//Fregatte
	public SE1_01(Ship ship, GamePiece piece,
			TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		scoreSurvived = 4;
		scoreDestroyed= 8;
		
		setSpeed(2);
		setHealth(7);
		setShield(2);
	}

	@Override
	protected void doXAction() {
		Log.log(getName() + " attacks 2.");
		ship.shieldedDamage(getZone(), 2);
	}

	@Override
	protected void doYAction() {
		Log.log(getName() + " attacks 3.");
		ship.shieldedDamage(getZone(), 3);
	}

	@Override
	protected void doZAction() {
		Log.log(getName() + " attacks 4.");
		ship.shieldedDamage(getZone(), 4);
	}

}
