package whiteThreats;

import ship.Ship;
import spaceAlert.Log;
import trajectoryBoards.TrajectoryBoardBase;
import VASSAL.counters.GamePiece;

public class SE1_05 extends E1_06 {
	//Cryoschild-Fregatte
	public SE1_05(Ship ship, GamePiece piece,
			TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		scoreSurvived = 4;
		scoreDestroyed= 8;
		
		setSpeed(2);
		setHealth(7);
		setShield(1);
	}

	@Override
	protected void doXAction() {
		Log.log(getName() + " attacks 2.");
		ship.shieldedDamage(getZone(), 2);
	}

	@Override
	protected void doYAction() {
		Log.log(getName() + " attacks 3.");
		ship.shieldedDamage(getZone(), 3);
	}

	@Override
	protected void doZAction() {
		Log.log(getName() + " attacks 4.");
		ship.shieldedDamage(getZone(), 4);
	}
}
