package whiteThreats;

import VASSAL.counters.GamePiece;
import ship.Ship;
import spaceAlert.Log;
import threats.ExternalThreatBase;
import threats.ThreatZones;
import trajectoryBoards.TrajectoryBoardBase;

public class SE1_102 extends ExternalThreatBase {
	//Dimensionsspinne
	public SE1_102(Ship ship, GamePiece piece,
			TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		scoreSurvived = 4;
		scoreDestroyed= 8;
		
		setSpeed(1);
		setHealth(13);
		setShield(0);
		
		targetableByRockets = false;
	}

	@Override
	protected void doXAction() {
		Log.log(getName() + " increases its shield.");
		setShield(getShield() + 1);
	}

	@Override
	protected void doYAction() {
		doXAction();
	}

	@Override
	public void doZAction() {
		Log.log(getName() + " attacks 4 on each zone.");
		ship.shieldedDamage(ThreatZones.BLUE, 4);
		ship.shieldedDamage(ThreatZones.WHITE, 4);
		ship.shieldedDamage(ThreatZones.RED, 4);
	}

}
