package whiteThreats;

import ship.Movement;
import ship.Ship;
import ship.ShipZones;
import spaceAlert.CardAction;
import spaceAlert.Log;
import trajectoryBoards.TrajectoryBoardBase;
import VASSAL.counters.GamePiece;

public class SI1_02 extends SI1_01 {
	//Enterkommando
	public SI1_02(Ship ship, GamePiece piece,
			TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		location = ShipZones.BLUE_UPPER;
	}

	@Override
	protected void doYAction() {
		if (getHealth() < 2) {
			Movement.moveTo(this, CardAction.MOVE_TO_RED);
		} else {
			Log.log(getName() + " deals 2 damage.");
			ship.damage(location.getThreatZone(), 2);
		}
	}
}
