package yellowThreats;

import ship.RocketThrower;
import ship.Ship;
import ship.WeaponBase;
import spaceAlert.Log;
import trajectoryBoards.TrajectoryBoardBase;
import VASSAL.counters.GamePiece;
import whiteThreats.E1_03;

public class E2_03 extends E1_03 {
	//Phantomjäger
	public E2_03(Ship ship, GamePiece piece, TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		scoreSurvived = 3;
		scoreDestroyed= 6;
		
		setSpeed(3);
		setHealth(4);
		setShield(2);
	}

	@Override
	protected void doYAction() {
		Log.log(getName() + " attacks 2.");
		ship.shieldedDamage(getZone(), 2);
	}

	@Override
	protected void doZAction() {
		Log.log(getName() + " attacks 3.");
		ship.shieldedDamage(getZone(), 3);
	}
	
	@Override
	public void damageBy(WeaponBase weapon) {
		if (weapon instanceof RocketThrower) {
			Log.log(getName() + " gets targeted by " + weapon.getName() + " but the rocket misses.");
		} else {
			super.damageBy(weapon);
		}
	}
}
