package yellowThreats;

import ship.Ship;
import ship.ShipZones;
import spaceAlert.Log;
import trajectoryBoards.TrajectoryBoardBase;
import VASSAL.counters.GamePiece;

public class I2_02 extends I2_01 {
	//Schleim
	public I2_02(Ship ship, GamePiece piece, TrajectoryBoardBase trajectoryBoard) {
		super(ship, piece, trajectoryBoard);

		location = ShipZones.RED_LOWER;
	}
	
	@Override
	protected ShipZones getProgenyLocation(ShipZones parentLocation) {
		switch (parentLocation) {
		case RED_LOWER:
			return ShipZones.WHITE_LOWER;
		case WHITE_LOWER:
			return ShipZones.BLUE_LOWER;
		default:
			return null;		
		}
	}
	
	@Override
	protected void doXAction() {
		if (!ship.getRedBattleBots().isFollowing()) {
			Log.log(getName() + " damages red battlebot squad.");
			ship.getRedBattleBots().damage();
		} else {
			Log.log(getName() + " does nothing.");
		}
	}

}
